package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.LkkPerkiraanKerugian;
import com.jasamedika.medifirst2000.entities.LkkRencanaTindakLanjut;
import com.jasamedika.medifirst2000.helper.Caption;

public class LkkIdentifikasiKorbanVO extends BaseTransactionVO{

	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value="LkkIdentifikasiKejadian")
	private LkkIdentifikasiKejadianVO lkkIdentifikasiKejadian;
	
	@NotNull(message="Nama Korban tidak boleh kosong")
	@Caption(value="Nama Korban")
	private String namaKorban;
	
	@Caption(value="N.I Kependudukan")
	private String niKependudukan;
	
	@Caption(value="Tempat Lahir")
	private String tempatLahir;
	
	@Caption(value="Tgl Lahir")
	private Date tglLahir;
	
	@NotNull(message="Jenis Kelamin tidak boleh kosong")
	@Caption(value="Jenis Kelamin")
	private String jenisKelamin;
	
	@Caption(value="Status Pekerjaan")
	private String statusPekerjaan;
	
	@Caption(value="Status Jabatan")
	private String statusJabatan;
	
	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value="Unit Ruangan")
	private RuanganVO unitRuangan;
	
	@OneToMany(cascade=CascadeType.ALL, fetch = FetchType.LAZY, mappedBy = "lkkIdentifikasiKorban")
	private LkkRencanaTindakLanjutVO lkkRencanaTindakLanjut;
	
	@OneToMany(cascade=CascadeType.ALL, fetch = FetchType.LAZY, mappedBy = "lkkIdentifikasiKorban")
	private LkkPerkiraanKerugianVO lkkPerkiraanKerugian;

	public LkkIdentifikasiKejadianVO getLkkIdentifikasiKejadian() {
		return lkkIdentifikasiKejadian;
	}

	public void setLkkIdentifikasiKejadian(LkkIdentifikasiKejadianVO lkkIdentifikasiKejadian) {
		this.lkkIdentifikasiKejadian = lkkIdentifikasiKejadian;
	}

	public String getNamaKorban() {
		return namaKorban;
	}

	public void setNamaKorban(String namaKorban) {
		this.namaKorban = namaKorban;
	}

	public String getNiKependudukan() {
		return niKependudukan;
	}

	public void setNiKependudukan(String niKependudukan) {
		this.niKependudukan = niKependudukan;
	}

	public String getTempatLahir() {
		return tempatLahir;
	}

	public void setTempatLahir(String tempatLahir) {
		this.tempatLahir = tempatLahir;
	}

	public Date getTglLahir() {
		return tglLahir;
	}

	public void setTglLahir(Date tglLahir) {
		this.tglLahir = tglLahir;
	}

	public String getJenisKelamin() {
		return jenisKelamin;
	}

	public void setJenisKelamin(String jenisKelamin) {
		this.jenisKelamin = jenisKelamin;
	}

	public String getStatusPekerjaan() {
		return statusPekerjaan;
	}

	public void setStatusPekerjaan(String statusPekerjaan) {
		this.statusPekerjaan = statusPekerjaan;
	}

	public String getStatusJabatan() {
		return statusJabatan;
	}

	public void setStatusJabatan(String statusJabatan) {
		this.statusJabatan = statusJabatan;
	}

	public RuanganVO getUnitRuangan() {
		return unitRuangan;
	}

	public void setUnitRuangan(RuanganVO unitRuangan) {
		this.unitRuangan = unitRuangan;
	}

	public LkkRencanaTindakLanjutVO getLkkRencanaTindakLanjut() {
		return lkkRencanaTindakLanjut;
	}

	public void setLkkRencanaTindakLanjut(LkkRencanaTindakLanjutVO lkkRencanaTindakLanjut) {
		this.lkkRencanaTindakLanjut = lkkRencanaTindakLanjut;
	}

	public LkkPerkiraanKerugianVO getLkkPerkiraanKerugian() {
		return lkkPerkiraanKerugian;
	}

	public void setLkkPerkiraanKerugian(LkkPerkiraanKerugianVO lkkPerkiraanKerugian) {
		this.lkkPerkiraanKerugian = lkkPerkiraanKerugian;
	}

	
}
